>From 74c4d4ff85b3682fbefceab451c768ae53a6d92c Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Wed, 5 Nov 2014 12:31:17 +0900
Subject: [PATCH] dvdnav: fix compilation on OS/2

-----
access/dvdnav.c: In function 'ProbeDVD':
access/dvdnav.c:1469:6: error: implicit declaration of function 'read' [-Werror=implicit-function-declaration]
      || read( fd, iso_dsc, sizeof (iso_dsc) ) < (int)sizeof (iso_dsc)
      ^
access/dvdnav.c:1481:5: error: implicit declaration of function 'close' [-Werror=implicit-function-declaration]
     close( fd );
     ^
-----
---
 modules/access/dvdnav.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/modules/access/dvdnav.c b/modules/access/dvdnav.c
index 553ef43..90d93af 100644
--- a/modules/access/dvdnav.c
+++ b/modules/access/dvdnav.c
@@ -42,6 +42,10 @@
 #include <fcntl.h>
 #include <errno.h>
 
+#ifdef __OS2__
+#include <io.h>     /* close() */
+#endif
+
 #include <vlc_common.h>
 #include <vlc_plugin.h>
 #include <vlc_input.h>
-- 
1.8.5.2

